<?php



$tdatatb_produtos = array();
$tdatatb_produtos[".searchableFields"] = array();
$tdatatb_produtos[".ShortName"] = "tb_produtos";
$tdatatb_produtos[".OwnerID"] = "";
$tdatatb_produtos[".OriginalTable"] = "tb_produtos";


$tdatatb_produtos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_produtos[".originalPagesByType"] = $tdatatb_produtos[".pagesByType"];
$tdatatb_produtos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_produtos[".originalPages"] = $tdatatb_produtos[".pages"];
$tdatatb_produtos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_produtos[".originalDefaultPages"] = $tdatatb_produtos[".defaultPages"];

//	field labels
$fieldLabelstb_produtos = array();
$fieldToolTipstb_produtos = array();
$pageTitlestb_produtos = array();
$placeHolderstb_produtos = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_produtos["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_produtos["Portuguese(Brazil)"] = array();
	$placeHolderstb_produtos["Portuguese(Brazil)"] = array();
	$pageTitlestb_produtos["Portuguese(Brazil)"] = array();
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["pdtoiD"] = "Pdtoi D";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["pdtoiD"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["pdtoiD"] = "";
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["clienteID"] = "Cliente ID";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["clienteID"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["clienteID"] = "";
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["referencia"] = "Referencia";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["referencia"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["referencia"] = "";
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["nome_aux"] = "Nome Aux";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["nome_aux"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["nome_aux"] = "";
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["categoria"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["status"] = "Status";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["status"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["status"] = "";
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["foto"] = "Foto Oficial:";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["foto"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["foto"] = "";
	$fieldLabelstb_produtos["Portuguese(Brazil)"]["ficha_tec"] = "Ficha Tec./Cliente:";
	$fieldToolTipstb_produtos["Portuguese(Brazil)"]["ficha_tec"] = "";
	$placeHolderstb_produtos["Portuguese(Brazil)"]["ficha_tec"] = "";
	if (count($fieldToolTipstb_produtos["Portuguese(Brazil)"]))
		$tdatatb_produtos[".isUseToolTips"] = true;
}


	$tdatatb_produtos[".NCSearch"] = true;


	$tdatatb_produtos[".scrollGridBody"] = true;

$tdatatb_produtos[".shortTableName"] = "tb_produtos";
$tdatatb_produtos[".nSecOptions"] = 0;

$tdatatb_produtos[".mainTableOwnerID"] = "";
$tdatatb_produtos[".entityType"] = 0;

$tdatatb_produtos[".strOriginalTableName"] = "tb_produtos";

	



$tdatatb_produtos[".showAddInPopup"] = false;

$tdatatb_produtos[".showEditInPopup"] = false;

$tdatatb_produtos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_produtos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_produtos[".listAjax"] = false;
//	temporary
$tdatatb_produtos[".listAjax"] = false;

	$tdatatb_produtos[".audit"] = false;

	$tdatatb_produtos[".locking"] = false;


$pages = $tdatatb_produtos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_produtos[".edit"] = true;
	$tdatatb_produtos[".afterEditAction"] = 0;
	$tdatatb_produtos[".closePopupAfterEdit"] = 1;
	$tdatatb_produtos[".afterEditActionDetTable"] = "grade_pdto";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_produtos[".add"] = true;
$tdatatb_produtos[".afterAddAction"] = 0;
$tdatatb_produtos[".closePopupAfterAdd"] = 1;
$tdatatb_produtos[".afterAddActionDetTable"] = "grade_pdto";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_produtos[".list"] = true;
}



$tdatatb_produtos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_produtos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_produtos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_produtos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_produtos[".printFriendly"] = true;
}



$tdatatb_produtos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_produtos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_produtos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_produtos[".isUseAjaxSuggest"] = true;

$tdatatb_produtos[".rowHighlite"] = true;





$tdatatb_produtos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_produtos[".buttonsAdded"] = false;

$tdatatb_produtos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_produtos[".isUseTimeForSearch"] = false;


$tdatatb_produtos[".badgeColor"] = "6493ea";


$tdatatb_produtos[".allSearchFields"] = array();
$tdatatb_produtos[".filterFields"] = array();
$tdatatb_produtos[".requiredSearchFields"] = array();

$tdatatb_produtos[".googleLikeFields"] = array();
$tdatatb_produtos[".googleLikeFields"][] = "pdtoiD";
$tdatatb_produtos[".googleLikeFields"][] = "clienteID";
$tdatatb_produtos[".googleLikeFields"][] = "referencia";
$tdatatb_produtos[".googleLikeFields"][] = "nome_aux";
$tdatatb_produtos[".googleLikeFields"][] = "categoria";
$tdatatb_produtos[".googleLikeFields"][] = "status";
$tdatatb_produtos[".googleLikeFields"][] = "foto";
$tdatatb_produtos[".googleLikeFields"][] = "ficha_tec";



$tdatatb_produtos[".tableType"] = "list";

$tdatatb_produtos[".printerPageOrientation"] = 0;
$tdatatb_produtos[".nPrinterPageScale"] = 100;

$tdatatb_produtos[".nPrinterSplitRecords"] = 40;

$tdatatb_produtos[".geocodingEnabled"] = false;










$tdatatb_produtos[".pageSize"] = 20;

$tdatatb_produtos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_produtos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_produtos[".orderindexes"] = array();

$tdatatb_produtos[".sqlHead"] = "SELECT pdtoiD,  	clienteID,  	referencia,  	nome_aux,  	categoria,  	status,  	foto,  	ficha_tec";
$tdatatb_produtos[".sqlFrom"] = "FROM tb_produtos";
$tdatatb_produtos[".sqlWhereExpr"] = "";
$tdatatb_produtos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_produtos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_produtos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_produtos[".highlightSearchResults"] = true;

$tableKeystb_produtos = array();
$tableKeystb_produtos[] = "pdtoiD";
$tdatatb_produtos[".Keys"] = $tableKeystb_produtos;


$tdatatb_produtos[".hideMobileList"] = array();




//	pdtoiD
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "pdtoiD";
	$fdata["GoodName"] = "pdtoiD";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","pdtoiD");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pdtoiD";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pdtoiD";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["pdtoiD"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "pdtoiD";
//	clienteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "clienteID";
	$fdata["GoodName"] = "clienteID";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","clienteID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "clienteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clienteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["clienteID"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "clienteID";
//	referencia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "referencia";
	$fdata["GoodName"] = "referencia";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","referencia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "referencia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "referencia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["referencia"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "referencia";
//	nome_aux
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nome_aux";
	$fdata["GoodName"] = "nome_aux";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","nome_aux");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nome_aux";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nome_aux";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["nome_aux"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "nome_aux";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","categoria");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_categpdtos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "categpdtoID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "categoria";

				$edata["LookupWhere"] = "ativar =1";


	
	$edata["LookupOrderBy"] = "categoria";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["categoria"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "categoria";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Prototipo";
	$edata["LookupValues"][] = "Amostra";
	$edata["LookupValues"][] = "Aprovar(Cliente)";
	$edata["LookupValues"][] = "Teste Produção";
	$edata["LookupValues"][] = "Aprovado";
	$edata["LookupValues"][] = "Revisão ";
	$edata["LookupValues"][] = "Cancelado";
	$edata["LookupValues"][] = "Fora de Linha";
	$edata["LookupValues"][] = "Indefinido";
	$edata["LookupValues"][] = "";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["status"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "status";
//	foto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "foto";
	$fdata["GoodName"] = "foto";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","foto");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "foto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "foto";

	
	
				$fdata["UploadFolder"] = "uploads\\foto_pdto";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "File-based Image");

	
	
				$vdata["ShowThumbnail"] = true;
	$vdata["ThumbWidth"] = 72;
	$vdata["ThumbHeight"] = 72;
	$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

			$vdata["multipleImgMode"] = 3;
	$vdata["maxImages"] = 0;

			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 1;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["foto"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "foto";
//	ficha_tec
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "ficha_tec";
	$fdata["GoodName"] = "ficha_tec";
	$fdata["ownerTable"] = "tb_produtos";
	$fdata["Label"] = GetFieldLabel("tb_produtos","ficha_tec");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "ficha_tec";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ficha_tec";

	
	
				$fdata["UploadFolder"] = "uploads\\ftec\\model_tec";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
								$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_produtos["ficha_tec"] = $fdata;
		$tdatatb_produtos[".searchableFields"][] = "ficha_tec";


$tables_data["tb_produtos"]=&$tdatatb_produtos;
$field_labels["tb_produtos"] = &$fieldLabelstb_produtos;
$fieldToolTips["tb_produtos"] = &$fieldToolTipstb_produtos;
$placeHolders["tb_produtos"] = &$placeHolderstb_produtos;
$page_titles["tb_produtos"] = &$pageTitlestb_produtos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_produtos"] = array();
//	grade_pdto
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="grade_pdto";
		$detailsParam["dOriginalTable"] = "grade_pdto";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "grade_pdto";
	$detailsParam["dCaptionTable"] = GetTableCaption("grade_pdto");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_produtos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_produtos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_produtos"][$dIndex]["masterKeys"][]="pdtoiD";

				$detailsTablesData["tb_produtos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_produtos"][$dIndex]["detailKeys"][]="pdtoID";
//	tb_mcalculo
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_mcalculo";
		$detailsParam["dOriginalTable"] = "tb_mcalculo";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_mcalculo";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_mcalculo");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_produtos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_produtos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_produtos"][$dIndex]["masterKeys"][]="pdtoiD";

				$detailsTablesData["tb_produtos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_produtos"][$dIndex]["detailKeys"][]="pdtoID";
//	tb_ficha_tecnica
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_ficha_tecnica";
		$detailsParam["dOriginalTable"] = "tb_ficha_tecnica";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_ficha_tecnica";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_ficha_tecnica");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_produtos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_produtos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_produtos"][$dIndex]["masterKeys"][]="pdtoiD";

				$detailsTablesData["tb_produtos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_produtos"][$dIndex]["detailKeys"][]="pdtoID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_produtos"] = array();



	
				$strOriginalDetailsTable="tb_clientes";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_clientes";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_clientes";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_produtos"][0] = $masterParams;
				$masterTablesData["tb_produtos"][0]["masterKeys"] = array();
	$masterTablesData["tb_produtos"][0]["masterKeys"][]="clienteID";
				$masterTablesData["tb_produtos"][0]["detailKeys"] = array();
	$masterTablesData["tb_produtos"][0]["detailKeys"][]="clienteID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_produtos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pdtoiD,  	clienteID,  	referencia,  	nome_aux,  	categoria,  	status,  	foto,  	ficha_tec";
$proto0["m_strFrom"] = "FROM tb_produtos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "pdtoiD",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto6["m_sql"] = "pdtoiD";
$proto6["m_srcTableName"] = "tb_produtos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "clienteID",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto8["m_sql"] = "clienteID";
$proto8["m_srcTableName"] = "tb_produtos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "referencia",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto10["m_sql"] = "referencia";
$proto10["m_srcTableName"] = "tb_produtos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "nome_aux",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto12["m_sql"] = "nome_aux";
$proto12["m_srcTableName"] = "tb_produtos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto14["m_sql"] = "categoria";
$proto14["m_srcTableName"] = "tb_produtos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto16["m_sql"] = "status";
$proto16["m_srcTableName"] = "tb_produtos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "foto",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto18["m_sql"] = "foto";
$proto18["m_srcTableName"] = "tb_produtos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "ficha_tec",
	"m_strTable" => "tb_produtos",
	"m_srcTableName" => "tb_produtos"
));

$proto20["m_sql"] = "ficha_tec";
$proto20["m_srcTableName"] = "tb_produtos";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "tb_produtos";
$proto23["m_srcTableName"] = "tb_produtos";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "pdtoiD";
$proto23["m_columns"][] = "clienteID";
$proto23["m_columns"][] = "referencia";
$proto23["m_columns"][] = "nome_aux";
$proto23["m_columns"][] = "categoria";
$proto23["m_columns"][] = "status";
$proto23["m_columns"][] = "foto";
$proto23["m_columns"][] = "ficha_tec";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "tb_produtos";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "tb_produtos";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_produtos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_produtos = createSqlQuery_tb_produtos();


	
		;

								

$tdatatb_produtos[".sqlquery"] = $queryData_tb_produtos;

$tableEvents["tb_produtos"] = new eventsBase;
$tdatatb_produtos[".hasEvents"] = false;

?>